#!/bin/bash

# ***************************************************************************
# *   kde-pt_br installer - A tool for KDE's Brazilian Translation Team     *
# *   Copyright (C) 2007 by Diniz Bortolotto                                *
# *   diniz.bb@gmail.com                                                    *
# *                                                                         *
# *   This program is free software; you can redistribute it and/or modify  *
# *   it under the terms of the GNU General Public License as published by  *
# *   the Free Software Foundation; either version 2 of the License, or     *
# *   (at your option) any later version.                                   *
# *                                                                         *
# *   This program is distributed in the hope that it will be useful,       *
# *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
# *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
# *   GNU General Public License for more details.                          *
# *                                                                         *
# *   You should have received a copy of the GNU General Public License     *
# *   along with this program; if not, write to the                         *
# *   Free Software Foundation, Inc.,                                       *
# *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
# ***************************************************************************/

# Carrega funes
. ~/kde-pt_br-installer/.funcoes

kdialog --title "Bem-vindo ao KDE-pt_BR!" --warningcontinuecancel "Bem-vindo \
ao Projeto de Traduo do KDE para o Portugus Brasileiro!!\n
Este script tem por objetivo automatizar a configurao do ambiente de \
trabalho dos participantes do projeto, de forma a facilitar o trabalho de \
todos durante o processo de atualizao da cpia de trabalho do repositrio \
(checkout/update) e, futuramente, o envio das tradues para o repositrio \
Subversion do KDE (commit).\n
Caso voc queira relatar algum erro no script ou fazer alguma sugesto de \
melhoria, no hesite em mandar um e-mail para a lista de discusso \
(kde-i18n-pt_br@kde.org) ou para mim (diniz.bb@gmail.com).\n
Diniz Bortolotto - Adm. do Projeto KDE-pt_BR"

if [ $? = 0 ]; then
dados_basicos
diretorios
arquivos_de_config
if [ $CONFIG_OK ]; then
cria_atalhos
fi
grava_conf
else
cancelar
fi

kdialog --title "Configurao concluda!!" --msgbox "A instalao e \
configurao do ambiente de traduo do KDE para o Portugus Brasileiro \
foi concluda!!\n
A partir de agora voc pode usar o script kde_pt-br para executar a \
atualizao dos seus arquivos locais."

exit
